namespace Marro.PacManUdon
{
    public partial class GameManager
    {
        private void TimeSequenceStepWaitForStart(int sequenceProgress)
        {
            switch (sequenceProgress)
            {
                case 0:
                    PrepareForCutscene();
                    
                    SetGameState(PacManGameState.WaitForStart);
                    soundManager.SuppressSound(false);
                    soundManager.PlayCoinSound();
                    break;
                case 1:
                    SetPressStartButtonScreenVisible(true);
                    break;                    
            }
        }

        private void TimeSequenceFinalizeWaitForStart()
        {
            if (playerInput.active == false)
            {
                StartTimeSequence(PacManTimeSequence.WaitForStartTimeout);
            }
        }
    }
}
